package com.muyu.rule.common.basic.abstracts;


import com.muyu.etl.domain.DataValue;
import com.muyu.rule.common.basic.BasicEngine;
import com.muyu.rule.common.basic.handler.DataEngineDataSetHandler;
import com.muyu.rule.common.basic.handler.DataEngineHandler;
import com.muyu.rule.common.domain.DataValueRow;
import com.muyu.rule.common.domain.DataValueRows;

/**
 * @Author：张承志
 * @Package：com.muyu.rule.server.basic.abstracts
 * @Project：cloud-etl-rule
 * @name：DataEngineValueAu
 * @Date：2024/8/29 15:11
 */
public abstract class DataEngineDataSetActuator implements BasicEngine<DataValueRows> {


public void set(DataValueRows dataValue){
    DataEngineDataSetHandler.set(dataValue);
}


public DataValueRows get(){
    return DataEngineDataSetHandler.get();
}


    @Override
    public void execution() {
        this.run();
    }

    public abstract void run();

}
